# This is a basic workflow to help you get started with Actions

name: cv-build

# Controls when the workflow will run
on:
  # Triggers the workflow on push or pull request events but only for the "master" branch
  push:
    branches: [ "master" ]
    paths: cv/**

  # Allows you to run this workflow manually from the Actions tab
  workflow_dispatch:

# A workflow run is made up of one or more jobs that can run sequentially or in parallel
jobs:
  # This workflow contains a single job called "build"
  build:
    runs-on: ubuntu-latest
    steps:
      - name: Set up Git repository
        uses: actions/checkout@v2
      - name: Compile LaTeX document
        uses: xu-cheng/latex-action@v2
        with:
          working_directory: cv
          root_file: main.tex
      - name: Move built .pdf
        run: |
          mv cv/main.pdf ./cv.pdf
      - name: Commit built .pdf
        uses: EndBug/add-and-commit@v9
        with:
          add: 'cv.pdf'
          author_name: 'Jack Bond-Preston'
          author_email: 'jackbondpreston@outlook.com'
          message: '[github action] update cv.pdf'
          
